"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _core = require("@emotion/core");

var _constants = require("../constants");

var _excluded = ["children", "as", "backgroundColor", "borderColor", "borderRadius", "alignItems", "flexDirection", "paddingBlock", "paddingInline", "gap", "height", "width", "display", "style", "testId", "className"];
var borderRadiusMap = {
  normal: (0, _core.css)({
    borderRadius: '3px'
  }),
  rounded: (0, _core.css)({
    borderRadius: '50%'
  }),
  badge: (0, _core.css)({
    borderRadius: '8px'
  })
};
var flexDirectionMap = {
  column: (0, _core.css)({
    flexDirection: 'column'
  }),
  row: (0, _core.css)({
    flexDirection: 'row'
  })
};
var flexAlignMap = {
  center: (0, _core.css)({
    alignItems: 'center'
  }),
  baseline: (0, _core.css)({
    alignItems: 'baseline'
  })
};
var displayMap = {
  flex: (0, _core.css)({
    display: 'flex'
  }),
  inline: (0, _core.css)({
    display: 'inline'
  }),
  inlineFlex: (0, _core.css)({
    display: 'inline-flex'
  })
};
/**
 * __Box__
 *
 * A Box {description}.
 *
 * @internal
 */

function Box(_ref) {
  var children = _ref.children,
      _ref$as = _ref.as,
      Component = _ref$as === void 0 ? 'div' : _ref$as,
      backgroundColor = _ref.backgroundColor,
      borderColor = _ref.borderColor,
      borderRadius = _ref.borderRadius,
      alignItems = _ref.alignItems,
      flexDirection = _ref.flexDirection,
      paddingBlock = _ref.paddingBlock,
      paddingInline = _ref.paddingInline,
      gap = _ref.gap,
      height = _ref.height,
      width = _ref.width,
      _ref$display = _ref.display,
      display = _ref$display === void 0 ? 'flex' : _ref$display,
      style = _ref.style,
      testId = _ref.testId,
      dontUseThisProperty = _ref.className,
      htmlAttributes = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  return (0, _core.jsx)(Component, (0, _extends2.default)({
    style: style // eslint-disable-next-line @repo/internal/react/no-unsafe-spread-props

  }, htmlAttributes, {
    css: [display && displayMap[display], paddingBlock && paddingBlockMap[paddingBlock], paddingInline && paddingInlineMap[paddingInline], alignItems && flexAlignMap[alignItems], backgroundColor && backgroundColorMap[backgroundColor], borderColor && borderColorMap[borderColor], borderRadius && borderRadiusMap[borderRadius], flexDirection && flexDirectionMap[flexDirection], gap && gapMap[gap], width && widthMap[width], height && heightMap[height]],
    "data-testid": testId
  }), children);
}

var _default = Box;
/**
 * THIS SECTION WAS CREATED VIA CODEGEN DO NOT MODIFY {@see http://go/af-codegen}
 * @codegen <<SignedSource::7bc92b308b72d1fe4aa9d758c2d1b073>>
 * @codegenId spacing
 * @codegenCommand yarn codegen-styles
 * @codegenParams ["paddingBlock", "paddingInline", "width", "height", "gap"]
 */

exports.default = _default;
var paddingBlockMap = {
  'sp-25': (0, _core.css)({
    paddingBlock: _constants.SPACING_SCALE['sp-25']
  }),
  'sp-50': (0, _core.css)({
    paddingBlock: _constants.SPACING_SCALE['sp-50']
  }),
  'sp-75': (0, _core.css)({
    paddingBlock: _constants.SPACING_SCALE['sp-75']
  }),
  'sp-100': (0, _core.css)({
    paddingBlock: _constants.SPACING_SCALE['sp-100']
  }),
  'sp-200': (0, _core.css)({
    paddingBlock: _constants.SPACING_SCALE['sp-200']
  }),
  'sp-300': (0, _core.css)({
    paddingBlock: _constants.SPACING_SCALE['sp-300']
  }),
  'sp-400': (0, _core.css)({
    paddingBlock: _constants.SPACING_SCALE['sp-400']
  }),
  'sp-600': (0, _core.css)({
    paddingBlock: _constants.SPACING_SCALE['sp-600']
  }),
  'sp-800': (0, _core.css)({
    paddingBlock: _constants.SPACING_SCALE['sp-800']
  })
};
var paddingInlineMap = {
  'sp-25': (0, _core.css)({
    paddingInline: _constants.SPACING_SCALE['sp-25']
  }),
  'sp-50': (0, _core.css)({
    paddingInline: _constants.SPACING_SCALE['sp-50']
  }),
  'sp-75': (0, _core.css)({
    paddingInline: _constants.SPACING_SCALE['sp-75']
  }),
  'sp-100': (0, _core.css)({
    paddingInline: _constants.SPACING_SCALE['sp-100']
  }),
  'sp-200': (0, _core.css)({
    paddingInline: _constants.SPACING_SCALE['sp-200']
  }),
  'sp-300': (0, _core.css)({
    paddingInline: _constants.SPACING_SCALE['sp-300']
  }),
  'sp-400': (0, _core.css)({
    paddingInline: _constants.SPACING_SCALE['sp-400']
  }),
  'sp-600': (0, _core.css)({
    paddingInline: _constants.SPACING_SCALE['sp-600']
  }),
  'sp-800': (0, _core.css)({
    paddingInline: _constants.SPACING_SCALE['sp-800']
  })
};
var widthMap = {
  'sp-25': (0, _core.css)({
    width: _constants.SPACING_SCALE['sp-25']
  }),
  'sp-50': (0, _core.css)({
    width: _constants.SPACING_SCALE['sp-50']
  }),
  'sp-75': (0, _core.css)({
    width: _constants.SPACING_SCALE['sp-75']
  }),
  'sp-100': (0, _core.css)({
    width: _constants.SPACING_SCALE['sp-100']
  }),
  'sp-200': (0, _core.css)({
    width: _constants.SPACING_SCALE['sp-200']
  }),
  'sp-300': (0, _core.css)({
    width: _constants.SPACING_SCALE['sp-300']
  }),
  'sp-400': (0, _core.css)({
    width: _constants.SPACING_SCALE['sp-400']
  }),
  'sp-600': (0, _core.css)({
    width: _constants.SPACING_SCALE['sp-600']
  }),
  'sp-800': (0, _core.css)({
    width: _constants.SPACING_SCALE['sp-800']
  })
};
var heightMap = {
  'sp-25': (0, _core.css)({
    height: _constants.SPACING_SCALE['sp-25']
  }),
  'sp-50': (0, _core.css)({
    height: _constants.SPACING_SCALE['sp-50']
  }),
  'sp-75': (0, _core.css)({
    height: _constants.SPACING_SCALE['sp-75']
  }),
  'sp-100': (0, _core.css)({
    height: _constants.SPACING_SCALE['sp-100']
  }),
  'sp-200': (0, _core.css)({
    height: _constants.SPACING_SCALE['sp-200']
  }),
  'sp-300': (0, _core.css)({
    height: _constants.SPACING_SCALE['sp-300']
  }),
  'sp-400': (0, _core.css)({
    height: _constants.SPACING_SCALE['sp-400']
  }),
  'sp-600': (0, _core.css)({
    height: _constants.SPACING_SCALE['sp-600']
  }),
  'sp-800': (0, _core.css)({
    height: _constants.SPACING_SCALE['sp-800']
  })
};
var gapMap = {
  'sp-25': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-25']
  }),
  'sp-50': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-50']
  }),
  'sp-75': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-75']
  }),
  'sp-100': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-100']
  }),
  'sp-200': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-200']
  }),
  'sp-300': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-300']
  }),
  'sp-400': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-400']
  }),
  'sp-600': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-600']
  }),
  'sp-800': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-800']
  })
};
/**
 * @codegenEnd
 */

/**
 * THIS SECTION WAS CREATED VIA CODEGEN DO NOT MODIFY {@see http://go/af-codegen}
 * @codegen <<SignedSource::f48a8ffccf0c385e9e05322037509c45>>
 * @codegenId colors
 * @codegenCommand yarn codegen-styles
 * @codegenParams ["border", "background"]
 */

var borderColorMap = {
  default: (0, _core.css)({
    borderColor: "var(--ds-border, #091E4224)"
  }),
  bold: (0, _core.css)({
    borderColor: "var(--ds-border-bold, #758195)"
  }),
  inverse: (0, _core.css)({
    borderColor: "var(--ds-border-inverse, #FFFFFF)"
  }),
  focused: (0, _core.css)({
    borderColor: "var(--ds-border-focused, #388BFF)"
  }),
  input: (0, _core.css)({
    borderColor: "var(--ds-border-input, #091E4224)"
  }),
  disabled: (0, _core.css)({
    borderColor: "var(--ds-border-disabled, #091E420F)"
  }),
  brand: (0, _core.css)({
    borderColor: "var(--ds-border-brand, #0C66E4)"
  }),
  selected: (0, _core.css)({
    borderColor: "var(--ds-border-selected, #0C66E4)"
  }),
  danger: (0, _core.css)({
    borderColor: "var(--ds-border-danger, #E34935)"
  }),
  warning: (0, _core.css)({
    borderColor: "var(--ds-border-warning, #D97008)"
  }),
  success: (0, _core.css)({
    borderColor: "var(--ds-border-success, #22A06B)"
  }),
  discovery: (0, _core.css)({
    borderColor: "var(--ds-border-discovery, #8270DB)"
  }),
  information: (0, _core.css)({
    borderColor: "var(--ds-border-information, #1D7AFC)"
  })
};
var backgroundColorMap = {
  disabled: (0, _core.css)({
    backgroundColor: "var(--ds-background-disabled, #091E4208)"
  }),
  'inverse.subtle': (0, _core.css)({
    backgroundColor: "var(--ds-background-inverse-subtle, #00000029)"
  }),
  input: (0, _core.css)({
    backgroundColor: "var(--ds-background-input, #FFFFFF)"
  }),
  neutral: (0, _core.css)({
    backgroundColor: "var(--ds-background-neutral, #091E420F)"
  }),
  'neutral.subtle': (0, _core.css)({
    backgroundColor: "var(--ds-background-neutral-subtle, #00000000)"
  }),
  'neutral.bold': (0, _core.css)({
    backgroundColor: "var(--ds-background-neutral-bold, #44546F)"
  }),
  'brand.bold': (0, _core.css)({
    backgroundColor: "var(--ds-background-brand-bold, #0C66E4)"
  }),
  selected: (0, _core.css)({
    backgroundColor: "var(--ds-background-selected, #E9F2FF)"
  }),
  'selected.bold': (0, _core.css)({
    backgroundColor: "var(--ds-background-selected-bold, #0C66E4)"
  }),
  danger: (0, _core.css)({
    backgroundColor: "var(--ds-background-danger, #FFEDEB)"
  }),
  'danger.bold': (0, _core.css)({
    backgroundColor: "var(--ds-background-danger-bold, #CA3521)"
  }),
  warning: (0, _core.css)({
    backgroundColor: "var(--ds-background-warning, #FFF7D6)"
  }),
  'warning.bold': (0, _core.css)({
    backgroundColor: "var(--ds-background-warning-bold, #E2B203)"
  }),
  success: (0, _core.css)({
    backgroundColor: "var(--ds-background-success, #DFFCF0)"
  }),
  'success.bold': (0, _core.css)({
    backgroundColor: "var(--ds-background-success-bold, #1F845A)"
  }),
  discovery: (0, _core.css)({
    backgroundColor: "var(--ds-background-discovery, #F3F0FF)"
  }),
  'discovery.bold': (0, _core.css)({
    backgroundColor: "var(--ds-background-discovery-bold, #6E5DC6)"
  }),
  information: (0, _core.css)({
    backgroundColor: "var(--ds-background-information, #E9F2FF)"
  }),
  'information.bold': (0, _core.css)({
    backgroundColor: "var(--ds-background-information-bold, #0C66E4)"
  })
};
/**
 * @codegenEnd
 */