"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@emotion/core");

/** @jsx jsx */
// These values are pulled from @atlaskit/theme
var fontSize = 14;
var fontSizeExtraSmall = 11;
var fontSizeSmall = 12;
var fontFamily = "-apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen', 'Ubuntu', 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif";
var fontSizeMap = {
  extraSmall: (0, _core.css)({
    fontSize: fontSizeExtraSmall
  }),
  small: (0, _core.css)({
    fontSize: fontSizeSmall
  }),
  normal: (0, _core.css)({
    fontSize: fontSize
  })
};
var fontWeightMap = {
  400: (0, _core.css)({
    fontWeight: 400
  }),
  500: (0, _core.css)({
    fontWeight: 500
  })
};
var baseStyles = (0, _core.css)({
  fontFamily: fontFamily
});
/**
 * __Text__
 *
 * A text {description}.
 *
 * @internal
 */

function Text(_ref) {
  var _ref$as = _ref.as,
      Component = _ref$as === void 0 ? 'span' : _ref$as,
      children = _ref.children,
      color = _ref.color,
      fontSize = _ref.fontSize,
      fontWeight = _ref.fontWeight;
  return (0, _core.jsx)(Component, {
    css: [baseStyles, color && textColorMap[color], fontSize && fontSizeMap[fontSize], fontWeight && fontWeightMap[fontWeight]]
  }, children);
}

var _default = Text;
/**
 * THIS SECTION WAS CREATED VIA CODEGEN DO NOT MODIFY {@see http://go/af-codegen}
 * @codegen <<SignedSource::85816aeddf2947ff7678c0c551db336c>>
 * @codegenId colors
 * @codegenCommand yarn codegen-styles
 * @codegenParams ["text"]
 */

exports.default = _default;
var textColorMap = {
  default: (0, _core.css)({
    color: "var(--ds-text, #172B4D)"
  }),
  subtle: (0, _core.css)({
    color: "var(--ds-text-subtle, #44546F)"
  }),
  subtlest: (0, _core.css)({
    color: "var(--ds-text-subtlest, #626F86)"
  }),
  disabled: (0, _core.css)({
    color: "var(--ds-text-disabled, #091E424F)"
  }),
  inverse: (0, _core.css)({
    color: "var(--ds-text-inverse, #FFFFFF)"
  }),
  brand: (0, _core.css)({
    color: "var(--ds-text-brand, #0C66E4)"
  }),
  selected: (0, _core.css)({
    color: "var(--ds-text-selected, #0C66E4)"
  }),
  danger: (0, _core.css)({
    color: "var(--ds-text-danger, #AE2A19)"
  }),
  warning: (0, _core.css)({
    color: "var(--ds-text-warning, #974F0C)"
  }),
  'warning.inverse': (0, _core.css)({
    color: "var(--ds-text-warning-inverse, #172B4D)"
  }),
  success: (0, _core.css)({
    color: "var(--ds-text-success, #216E4E)"
  }),
  discovery: (0, _core.css)({
    color: "var(--ds-text-discovery, #5E4DB2)"
  }),
  information: (0, _core.css)({
    color: "var(--ds-text-information, #0055CC)"
  })
};
/**
 * @codegenEnd
 */