/** @jsx jsx */
import { css, jsx } from '@emotion/core';
// These values are pulled from @atlaskit/theme
const fontSize = 14;
const fontSizeExtraSmall = 11;
const fontSizeSmall = 12;
const fontFamily = `-apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen', 'Ubuntu', 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif`;
const fontSizeMap = {
  extraSmall: css({
    fontSize: fontSizeExtraSmall
  }),
  small: css({
    fontSize: fontSizeSmall
  }),
  normal: css({
    fontSize
  })
};
const fontWeightMap = {
  400: css({
    fontWeight: 400
  }),
  500: css({
    fontWeight: 500
  })
};
const baseStyles = css({
  fontFamily
});
/**
 * __Text__
 *
 * A text {description}.
 *
 * @internal
 */

function Text({
  as: Component = 'span',
  children,
  color,
  fontSize,
  fontWeight
}) {
  return jsx(Component, {
    css: [baseStyles, color && textColorMap[color], fontSize && fontSizeMap[fontSize], fontWeight && fontWeightMap[fontWeight]]
  }, children);
}

export default Text;
/**
 * THIS SECTION WAS CREATED VIA CODEGEN DO NOT MODIFY {@see http://go/af-codegen}
 * @codegen <<SignedSource::85816aeddf2947ff7678c0c551db336c>>
 * @codegenId colors
 * @codegenCommand yarn codegen-styles
 * @codegenParams ["text"]
 */

const textColorMap = {
  default: css({
    color: "var(--ds-text, #172B4D)"
  }),
  subtle: css({
    color: "var(--ds-text-subtle, #44546F)"
  }),
  subtlest: css({
    color: "var(--ds-text-subtlest, #626F86)"
  }),
  disabled: css({
    color: "var(--ds-text-disabled, #091E424F)"
  }),
  inverse: css({
    color: "var(--ds-text-inverse, #FFFFFF)"
  }),
  brand: css({
    color: "var(--ds-text-brand, #0C66E4)"
  }),
  selected: css({
    color: "var(--ds-text-selected, #0C66E4)"
  }),
  danger: css({
    color: "var(--ds-text-danger, #AE2A19)"
  }),
  warning: css({
    color: "var(--ds-text-warning, #974F0C)"
  }),
  'warning.inverse': css({
    color: "var(--ds-text-warning-inverse, #172B4D)"
  }),
  success: css({
    color: "var(--ds-text-success, #216E4E)"
  }),
  discovery: css({
    color: "var(--ds-text-discovery, #5E4DB2)"
  }),
  information: css({
    color: "var(--ds-text-information, #0055CC)"
  })
};
/**
 * @codegenEnd
 */