/** @jsx jsx */
import { Children, Fragment } from 'react';
import { jsx } from '@emotion/core';
import Box from './box.partial';

/**
 * __Inline__
 *
 * A Inline {description}.
 *
 * @internal
 */
function Inline(_ref) {
  var as = _ref.as,
      gap = _ref.gap,
      separator = _ref.separator,
      children = _ref.children,
      alignItems = _ref.alignItems;
  var childCount = Children.count(children);
  return jsx(Box, {
    as: as,
    flexDirection: "row",
    alignItems: alignItems,
    gap: gap
  }, Children.map(children, function (child, index) {
    return jsx(Fragment, null, child, separator && index !== childCount - 1 && jsx(Fragment, null, separator));
  }));
}

export default Inline;