/** @jsx jsx */
import { ReactNode } from 'react';
interface TextProps {
    children: ReactNode;
    color?: TextColor;
    as?: 'span' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
    fontSize?: keyof typeof fontSizeMap;
    fontWeight?: keyof typeof fontWeightMap;
}
declare const fontSizeMap: {
    extraSmall: import("@emotion/utils").SerializedStyles;
    small: import("@emotion/utils").SerializedStyles;
    normal: import("@emotion/utils").SerializedStyles;
};
declare const fontWeightMap: {
    400: import("@emotion/utils").SerializedStyles;
    500: import("@emotion/utils").SerializedStyles;
};
/**
 * __Text__
 *
 * A text {description}.
 *
 * @internal
 */
declare function Text({ as: Component, children, color, fontSize, fontWeight, }: TextProps): JSX.Element;
export default Text;
/**
 * THIS SECTION WAS CREATED VIA CODEGEN DO NOT MODIFY {@see http://go/af-codegen}
 * @codegen <<SignedSource::85816aeddf2947ff7678c0c551db336c>>
 * @codegenId colors
 * @codegenCommand yarn codegen-styles
 * @codegenParams ["text"]
 */
declare const textColorMap: {
    default: import("@emotion/utils").SerializedStyles;
    subtle: import("@emotion/utils").SerializedStyles;
    subtlest: import("@emotion/utils").SerializedStyles;
    disabled: import("@emotion/utils").SerializedStyles;
    inverse: import("@emotion/utils").SerializedStyles;
    brand: import("@emotion/utils").SerializedStyles;
    selected: import("@emotion/utils").SerializedStyles;
    danger: import("@emotion/utils").SerializedStyles;
    warning: import("@emotion/utils").SerializedStyles;
    'warning.inverse': import("@emotion/utils").SerializedStyles;
    success: import("@emotion/utils").SerializedStyles;
    discovery: import("@emotion/utils").SerializedStyles;
    information: import("@emotion/utils").SerializedStyles;
};
declare type TextColor = keyof typeof textColorMap;
/**
 * @codegenEnd
 */
